> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lonescale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Phone Number

> Verify Phone Numbers 
[Special Access Required]



## OpenAPI

````yaml POST /verify-phone
openapi: 3.1.0
info:
  title: OpenAPI Lonescale
  description: A sample API for Lonescale
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://public-api.lonescale.com
security:
  - ApiKeyAuth: []
paths:
  /verify-phone:
    post:
      description: |-
        Verify Phone Numbers 
        [Special Access Required]
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyPhoneRequest'
        required: true
      responses:
        '200':
          description: Phone verification successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneVerification'
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Bad request
                error: Bad request
                statusCode: 400
        '401':
          description: Invalid or missing authentication credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
              example:
                message: Invalid API Key
                error: Unauthorized
                statusCode: 401
components:
  schemas:
    VerifyPhoneRequest:
      type: object
      additionalProperties: false
      required:
        - phone
        - webhook_url
        - firstname
        - lastname
      properties:
        phone:
          type: string
          description: Phone number to verify, in E.164 format.
        webhook_url:
          type: string
          format: uri
          description: Webhook endpoint to receive verification status for a phone number
        firstname:
          type: string
          description: First name of the person to verify.
        lastname:
          type: string
          description: Last name of the person to verify.
        country:
          type: string
          description: >-
            Country code of the phone number to verify. Increase result coverage
            and accuracy by 25%.
        city:
          type: string
          description: City of the phone number to verify.
        state:
          type: string
          description: >-
            State code of the phone number to verify. Increase result coverage
            and accuracy by 25%.
        zipcode:
          type: string
          description: >-
            Zipcode of the phone number to verify. Increase result coverage and
            accuracy by 25%.
        address:
          type: string
          description: Address of the person to verify.
    PhoneVerification:
      type: object
      properties:
        status:
          type: string
          description: The verification status of the phone number.
          enum:
            - verified
            - regular
            - unknown
        type:
          type: string
          description: The type of the phone number.
          enum:
            - mobile
            - landline
            - unknown
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    AuthError:
      required:
        - message
        - error
        - statusCode
      type: object
      properties:
        message:
          type: string
          example: Invalid API Key
        error:
          type: string
          example: Unauthorized
        statusCode:
          type: integer
          example: 401
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Provide your API key in the x-api-key header.

````